this.primevue = this.primevue || {};
this.primevue.focustrap = this.primevue.focustrap || {};
this.primevue.focustrap.style = (function (BaseStyle) {
    'use strict';

    function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

    var BaseStyle__default = /*#__PURE__*/_interopDefaultLegacy(BaseStyle);

    var FocusTrapStyle = BaseStyle__default["default"].extend({
      name: 'focustrap-directive'
    });

    return FocusTrapStyle;

})(primevue.base.style);
